// Code generated by MockGen. DO NOT EDIT.
// Source: ./linktoken_usecase.go

// Package mock is a generated GoMock package.
package mock

import (
	authenticationservice "authenticationservice"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockLinkTokenRepository is a mock of LinkTokenRepository interface.
type MockLinkTokenRepository struct {
	ctrl     *gomock.Controller
	recorder *MockLinkTokenRepositoryMockRecorder
}

// MockLinkTokenRepositoryMockRecorder is the mock recorder for MockLinkTokenRepository.
type MockLinkTokenRepositoryMockRecorder struct {
	mock *MockLinkTokenRepository
}

// NewMockLinkTokenRepository creates a new mock instance.
func NewMockLinkTokenRepository(ctrl *gomock.Controller) *MockLinkTokenRepository {
	mock := &MockLinkTokenRepository{ctrl: ctrl}
	mock.recorder = &MockLinkTokenRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockLinkTokenRepository) EXPECT() *MockLinkTokenRepositoryMockRecorder {
	return m.recorder
}

// AddBSNToLinkToken mocks base method.
func (m *MockLinkTokenRepository) AddBSNToLinkToken(bsn string, linkToken *authenticationservice.LinkToken) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddBSNToLinkToken", bsn, linkToken)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddBSNToLinkToken indicates an expected call of AddBSNToLinkToken.
func (mr *MockLinkTokenRepositoryMockRecorder) AddBSNToLinkToken(bsn, linkToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddBSNToLinkToken", reflect.TypeOf((*MockLinkTokenRepository)(nil).AddBSNToLinkToken), bsn, linkToken)
}

// CreateLinkToken mocks base method.
func (m *MockLinkTokenRepository) CreateLinkToken(requestID string) (*authenticationservice.LinkToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateLinkToken", requestID)
	ret0, _ := ret[0].(*authenticationservice.LinkToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateLinkToken indicates an expected call of CreateLinkToken.
func (mr *MockLinkTokenRepositoryMockRecorder) CreateLinkToken(requestID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateLinkToken", reflect.TypeOf((*MockLinkTokenRepository)(nil).CreateLinkToken), requestID)
}

// GetLinkToken mocks base method.
func (m *MockLinkTokenRepository) GetLinkToken(requestID string) (*authenticationservice.LinkToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetLinkToken", requestID)
	ret0, _ := ret[0].(*authenticationservice.LinkToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetLinkToken indicates an expected call of GetLinkToken.
func (mr *MockLinkTokenRepositoryMockRecorder) GetLinkToken(requestID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetLinkToken", reflect.TypeOf((*MockLinkTokenRepository)(nil).GetLinkToken), requestID)
}

// MockSessionRegisterRepository is a mock of SessionRegisterRepository interface.
type MockSessionRegisterRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSessionRegisterRepositoryMockRecorder
}

// MockSessionRegisterRepositoryMockRecorder is the mock recorder for MockSessionRegisterRepository.
type MockSessionRegisterRepositoryMockRecorder struct {
	mock *MockSessionRegisterRepository
}

// NewMockSessionRegisterRepository creates a new mock instance.
func NewMockSessionRegisterRepository(ctrl *gomock.Controller) *MockSessionRegisterRepository {
	mock := &MockSessionRegisterRepository{ctrl: ctrl}
	mock.recorder = &MockSessionRegisterRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSessionRegisterRepository) EXPECT() *MockSessionRegisterRepositoryMockRecorder {
	return m.recorder
}

// GetSession mocks base method.
func (m *MockSessionRegisterRepository) GetSession(sessionToken string) (*authenticationservice.SessionToken, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSession", sessionToken)
	ret0, _ := ret[0].(*authenticationservice.SessionToken)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetSession indicates an expected call of GetSession.
func (mr *MockSessionRegisterRepositoryMockRecorder) GetSession(sessionToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSession", reflect.TypeOf((*MockSessionRegisterRepository)(nil).GetSession), sessionToken)
}

// MockDebtRequestRepository is a mock of DebtRequestRepository interface.
type MockDebtRequestRepository struct {
	ctrl     *gomock.Controller
	recorder *MockDebtRequestRepositoryMockRecorder
}

// MockDebtRequestRepositoryMockRecorder is the mock recorder for MockDebtRequestRepository.
type MockDebtRequestRepositoryMockRecorder struct {
	mock *MockDebtRequestRepository
}

// NewMockDebtRequestRepository creates a new mock instance.
func NewMockDebtRequestRepository(ctrl *gomock.Controller) *MockDebtRequestRepository {
	mock := &MockDebtRequestRepository{ctrl: ctrl}
	mock.recorder = &MockDebtRequestRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDebtRequestRepository) EXPECT() *MockDebtRequestRepositoryMockRecorder {
	return m.recorder
}

// Get mocks base method.
func (m *MockDebtRequestRepository) Get(organization *authenticationservice.Organization, id string) (*authenticationservice.SchuldenRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", organization, id)
	ret0, _ := ret[0].(*authenticationservice.SchuldenRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockDebtRequestRepositoryMockRecorder) Get(organization, id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockDebtRequestRepository)(nil).Get), organization, id)
}

// MockSchemeRepository is a mock of SchemeRepository interface.
type MockSchemeRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSchemeRepositoryMockRecorder
}

// MockSchemeRepositoryMockRecorder is the mock recorder for MockSchemeRepository.
type MockSchemeRepositoryMockRecorder struct {
	mock *MockSchemeRepository
}

// NewMockSchemeRepository creates a new mock instance.
func NewMockSchemeRepository(ctrl *gomock.Controller) *MockSchemeRepository {
	mock := &MockSchemeRepository{ctrl: ctrl}
	mock.recorder = &MockSchemeRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSchemeRepository) EXPECT() *MockSchemeRepositoryMockRecorder {
	return m.recorder
}

// GetOrganizationByOIN mocks base method.
func (m *MockSchemeRepository) GetOrganizationByOIN(OIN string) (*authenticationservice.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetOrganizationByOIN", OIN)
	ret0, _ := ret[0].(*authenticationservice.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetOrganizationByOIN indicates an expected call of GetOrganizationByOIN.
func (mr *MockSchemeRepositoryMockRecorder) GetOrganizationByOIN(OIN interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetOrganizationByOIN", reflect.TypeOf((*MockSchemeRepository)(nil).GetOrganizationByOIN), OIN)
}
